QScintilla: QsciLexerXML Class Reference

QScintilla 2.6.1

- Main Page
- Classes
- Directories

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions
QsciLexerXML Class Reference

`#include <qscilexerxml.h>`

Inherits QsciLexerHTML.

List of all members.

## Public Member Functions

- QsciLexerXML (QObject *parent=0)
- virtual ~QsciLexerXML ()
- const char * language () const
- const char * lexer () const
- QColor defaultColor (int style) const
- bool defaultEolFill (int style) const
- QFont defaultFont (int style) const
- QColor defaultPaper (int style) const
- const char * keywords (int set) const
- void refreshProperties ()
- void setScriptsStyled (bool styled)
- bool scriptsStyled () const

## Protected Member Functions

- bool readProperties (QSettings &qs, const QString &prefix)
- bool writeProperties (QSettings &qs, const QString &prefix) const

## Detailed Description

The QsciLexerXML class encapsulates the Scintilla XML lexer.

## Constructor & Destructor Documentation

QsciLexerXML::QsciLexerXML | ( | QObject * | parent = `0` | ) |

Construct a QsciLexerXML with parent parent. parent is typically the QsciScintilla instance.

## Member Function Documentation

const char* QsciLexerXML::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Reimplemented from QsciLexerHTML.

QColor QsciLexerXML::defaultColor | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  defaultPaper()

Reimplemented from QsciLexerHTML.

QColor QsciLexerXML::defaultPaper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  defaultColor()

Reimplemented from QsciLexerHTML.

const char* QsciLexerXML::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexerHTML.

void QsciLexerXML::refreshProperties | ( |  | ) | `[virtual]`

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QsciLexerHTML.

void QsciLexerXML::setScriptsStyled | ( | bool | styled | ) |

If allowed is true then scripts are styled. The default is true.

See also:
  scriptsStyled()

bool QsciLexerXML::scriptsStyled | ( |  | ) | const

Returns true if scripts are styled.

See also:
  setScriptsStyled()

bool QsciLexerXML::readProperties | ( | QSettings & | qs,
|  | const QString & | prefix
| ) |  | `[protected, virtual]`

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexerHTML.

bool QsciLexerXML::writeProperties | ( | QSettings & | qs,
|  | const QString & | prefix
| ) |  | const`[protected, virtual]`

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexerHTML.